reseller

GET /v1/reseller/edge-policy/clients/{orgId}

Which networks one client of yours can be placed on.

すべての reseller エンドポイント

認証

ベアラー トークンとして API キーを送信します。キーには reseller.view 権限が付与されている必要があります。権限のないキーは 404 ではなく 403 で拒否されます。

組織 ID を入力する場所

このエンドポイントでは、URL内に組織IDを orgId として直接指定します。パスの中にその値を代入してください。この動作を代替するヘッダーやクエリパラメータはありません。

組織IDは、ダッシュボードのAPIキー画面にキーのすぐ横に表示されています。これは、実行するすべての呼び出しで同じIDになります。

試してみる

アングルブラケット内のすべてをご自身の値に置き換え、キーのプレースホルダーをご利用中のダッシュボードのキーに置き換えてください。

curl -X GET https://api.zinndigital.com/v1/reseller/edge-policy/clients/{orgId} \
  -H "Authorization: Bearer zdk_live_…"

ログインしていますか?ダッシュボード内のAPIコンソールでは、実際の組織IDやお客様ご自身のキーが自動入力され、ライブAPIに対してリクエストが実行されるため、実際のレスポンスを確認することができます。 API コンソールでこのエンドポイントを開く

詳細

The same list as your own policy, narrowed to one client. A network you have turned off for everybody reports `enabled: false` with `inherited_off: true`, so you can see that the switch is being decided above this screen rather than appearing broken. An org id that is not one of your clients is a 404. Requires `reseller.view`.

パラメータ

名前タイプ必須これがその内容です
orgId (path)UuidはいThe client organization. Must be one of your own clients.

返信

名前タイプ必須これがその内容です
dataResellerEdgeVendor[]はいEvery CDN and DNS network your clients could be placed on, in category then alphabetical order. The list reflects **your** pool: your own connected accounts if you have any, oth…

このエンドポイントが返すエラー

401 · 403 · 404 · 429